Package io.vertx.rxjava3.mqtt.messages

## Class MqttSubAckMessage

- java.lang.Object
- - io.vertx.rxjava3.mqtt.messages.MqttSubAckMessage

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`, `MqttMessage`

      public class MqttSubAckMessage
      extends Object
      implements io.vertx.lang.rx.RxDelegate, MqttMessage

  Represents an MQTT SUBACK message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttSubAckMessage>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MqttSubAckMessage​(MqttSubAckMessage delegate)` |
    `MqttSubAckMessage​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `MqttSubAckMessage` | `getDelegate()` |
    `List<Integer>` | `grantedQoSLevels()` |
    `int` | `hashCode()` |
    `int` | `messageId()` |
    `static MqttSubAckMessage` | `newInstance​(MqttSubAckMessage arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttSubAckMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttSubAckMessage

          public MqttSubAckMessage​(MqttSubAckMessage delegate)

    - #### MqttSubAckMessage

          public MqttSubAckMessage​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttSubAckMessage getDelegate()

      Specified by:
        `getDelegate` in interface `MqttMessage`
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### messageId

          public int messageId()

      Specified by:
        `messageId` in interface `MqttMessage`
      Returns:
        Message identifier

    - #### grantedQoSLevels

          public List<Integer> grantedQoSLevels()

      Returns:
        list of granted QoS levels

    - #### newInstance

          public static MqttSubAckMessage newInstance​(MqttSubAckMessage arg)